dom-sup.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Int::GCC::Node
| Base class for nodes in the variable-value-graph. More...
class | Gecode::Int::GCC::VarNode
| Variable node More...
class | Gecode::Int::GCC::ValNode
| Value node. More...
class | Gecode::Int::GCC::Edge
| Class for edges in the variable-value-graph. More...
class | Gecode::Int::GCC::VarValGraph< Card >
| Variable-value-graph used during propagation. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::GCC
| Global cardinality propagators (Counting).

## Enumerations

enum | Gecode::Int::GCC::BC { Gecode::Int::GCC::UBC = 1 , Gecode::Int::GCC::LBC = 0 }
| Bounds constraint (BC) type. More...